Subject: Re: bug#56976: 29.0.50; Obsolete netrc.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Aug 2022 17:08:04 +0200

Michael Albinus <[email-masked]> writes:

>> I've now done this, and partially reverted previous change, because the
>> change in behaviour might break things.
>>
>> So I'll go ahead and change the Tramp code to use
>> `auth-source-netrc-parse-all', and leave the further adjustments to you?
>
> In general yes, but why the new alias? What's wrong with my proposal
> checking obsolescence of netrc-parse?

I decided against the alias, because my first change (to just make
missing/nil host etc return all entries) wasn't quite
backwards-compatible enough, so it wasn't a good idea in the first
place.

So a new function is needed in any case.